SystemOrganization addCategory: #ConfigurationOfPolyMath!

Object subclass: #ConfigurationOfPolyMath
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfPolyMath'!

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
DevelopmentSupport

"if i want to make a new developmentversion, i do this:
1. i decomment the _versionstring:''_ things in the projects in the used baseline.
2. i run something like this to make eg version08:
MetacelloToolBox createDevelopment: '0.8' for: 'ConfigurationOfSciSmalltalk' importFromBaseline: '0.4-baseline' description:'blah'.
3. this is important or bleedingEdge wont function correctly: i put the decommented versionstring things again in comments."
	<apiDocumentation>
! !

!ConfigurationOfPolyMath class methodsFor: 'private' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfPolyMath class methodsFor: 'catalog' stamp: 'StephaneDucasse 3/23/2016 17:56'!
catalogChangeLog
	"Returns a paragraph describing the most important changes in the configuration class."
	^ ''! !

!ConfigurationOfPolyMath class methodsFor: 'catalog' stamp: 'StephaneDucasse 3/23/2016 17:56'!
catalogContactInfo
	"Returns a paragraph describing contact information such as email, mailing lists and website."
	^ 'This project is managed on github: https://github.com/SergeStinckwich/SciSmalltalk'! !

!ConfigurationOfPolyMath class methodsFor: 'catalog' stamp: 'StephaneDucasse 3/23/2016 17:56'!
catalogDescription
	"Returns a paragraph describing the project"
	^ 'Tools for scientific computation in Smalltalk'! !

!ConfigurationOfPolyMath class methodsFor: 'catalog' stamp: 'StephaneDucasse 3/23/2016 17:56'!
catalogKeyClassesAndExample
	"Returns a paragraph or more describing the key classes of your project. You can use Pillar/Pier syntax to layout out the text i.e., ==Code== and - for bullet."
	^ ''! !

!ConfigurationOfPolyMath class methodsFor: 'catalog' stamp: 'StephaneDucasse 3/23/2016 17:56'!
catalogKeywords
	"Returns an array of symbols"
	^ #(mathematics science ODE) ! !

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
createNewDevelopmentVersion
	"Create a new development version using the #stable version as model."

	"self createNewDevelopmentVersion"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) createNewDevelopmentVersionIn: self description: ''! !

!ConfigurationOfPolyMath class methodsFor: 'private' stamp: 'StephaneDucasse 3/23/2016 17:56'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfPolyMath class methodsFor: 'private' stamp: 'StephaneDucasse 3/23/2016 17:56'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfPolyMath class methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPolyMath class methodsFor: 'loading' stamp: 'StephaneDucasse 3/23/2016 17:56'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfPolyMath class methodsFor: 'loading' stamp: 'StephaneDucasse 3/23/2016 17:56'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfPolyMath class methodsFor: 'loading' stamp: 'StephaneDucasse 3/23/2016 17:56'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfPolyMath class methodsFor: 'accessing' stamp: 'StephaneDucasse 3/23/2016 17:56'!
project

	^self new project! !

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
releaseDevelopmentVersion: commitMessage
	"Release #development version: set version blessing to #release, update the #development and #stable symbolic version methods and save the configuration."

	"self releaseDevelopmentVersion: '- release version 1.0.2'"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) releaseDevelopmentVersionIn: self description: commitMessage! !

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
saveConfiguration: commitMessage
	"Save mcz file that contains the configuration to it's repository."

	"self saveConfiguration: '- fixed bug'"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) saveConfigurationPackageFor: self name asString description: commitMessage! !

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
saveModifiedPackagesAndConfiguration: commitMessage
	"Save modified mcz files, update the #development version and then save the configuration."

	"self saveModifiedPackagesAndConfiguration: '- fixed bug'"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) saveModifiedPackagesAndConfigurationIn: self description: commitMessage! !

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
updateToLatestPackageVersions: descriptionString
	"Update the #development version to match currently loaded mcz files."

	"self updateToLatestPackageVersions: '- fixed a bug'"

	<apiDocumentation>
	self ensureMetacello.
	((Smalltalk at: #MetacelloToolBox) updateToLatestPackageVersionsIn: self description: descriptionString) isEmpty
		ifTrue: [ self inform: 'All specs up to date' ]! !

!ConfigurationOfPolyMath class methodsFor: 'development support' stamp: 'StephaneDucasse 3/23/2016 17:56'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline010: spec 
        <version: '0.10-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'added Math-AccuracyFramework'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '11/9/2014 17:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ].
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline011: spec 
        <version: '0.11-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'added Math-FunctionFit'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '16/9/2014 17:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ].
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline012: spec 
        <version: '0.12-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'Add arbitrary precision float config'.
		    spec author: 'SergeStinckwich'.
		    spec timestamp: '17/11/2014 17:58'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' with: [spec requires: 'ArbitraryPrecisionFl'];
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'ArbitraryPrecisionFloat' 'ArbitraryPrecisionFloatTests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline013: spec 
        <version: '0.13-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'Fixed problems with StatPseudoCollections'.
		    spec author: 'HwaJong'.
		    spec timestamp: ' 2014-11-18T20:34:14.583595+09:00'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.2';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' with: [spec requires: 'ArbitraryPrecisionFl'];
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline014: spec 
        <version: '0.14-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'Fixed problems with StatPseudoCollections. made ArbitraryPrecisionFloat to load completely'.
		    spec author: 'werner kassens'.
		    spec timestamp: '  21 November 2014 12:49:48 am'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.2';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline015: spec 
        <version: '0.15-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: '3 different Combinations'.
		    spec author: 'HwaJong'.
		    spec timestamp: ' 2014-12-27T17:21:10.239685+09:00'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.4';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline016: spec 
        <version: '0.16-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: '3 different Combinations'.
		    spec author: 'HwaJong'.
		    spec timestamp: ' 2014-12-27T17:21:10.239685+09:00'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline017: spec 
        <version: '0.17-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'added Math-AutomaticDifferenciation'.
		    spec author: 'werner kassens'.
		    spec timestamp: '6. may 2015'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			package: 'Math-AutomaticDifferenciation' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
			package: 'Math-Tests-AutomaticDifferenciation' with: [spec requires: 'Math-AutomaticDifferenciation'];			
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline018: spec 
        <version: '0.18-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'clean tests packages'.
		    spec author: 'Serge Stinckwich'.
		    spec timestamp: '21 may 2015'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core')];
			package: 'Math-AutomaticDifferenciation' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
			package: 'Math-Tests-AutomaticDifferenciation' with: [spec requires: 'Math-AutomaticDifferenciation'];	
			package: 'Math-Tests-Accuracy' with: [spec requires: 'Math-Accuracy-Core' ];	
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-Accuracy-Core'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline019: spec 
        <version: '0.19-baseline'>
        spec for: #'common' do: [ 
                spec blessing: #baseline.
		    spec description: 'added  FastFourierTransform'.
		    spec author: 'werner kassens'.
		    spec timestamp: '19 june 2015'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
			package: 'Math-FastFourierTransform' with: [spec requires: 'Math-Complex'];
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core')];
			package: 'Math-AutomaticDifferenciation' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
			package: 'Math-Tests-AutomaticDifferenciation' with: [spec requires: 'Math-AutomaticDifferenciation'];	
			package: 'Math-Tests-Accuracy' with: [spec requires: 'Math-Accuracy-Core' ];
			package: 'Math-Tests-FastFourierTransform' with: [spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];	
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-Accuracy-Core'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl' 'Math-FastFourierTransform');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline01: spec 
        <version: '0.1-baseline'>
        
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			package: 'Math-All'.
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('Math-All');
                        group: 'Tests' with: #('Math-All'). ].! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline020: spec 
        <version: '0.20-baseline'>
        spec for: #'common' do: [ 
                spec blessing: #baseline.
		    spec description: 'Arbitrary float are manage now in the same repository'.
		    spec author: 'Serge Stinckwich'.
		    spec timestamp: '5 July 2015'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.8';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
			package: 'Math-FastFourierTransform' with: [spec requires: 'Math-Complex'];
			package: 'ExtendedNumberParser';
			package: 'ArbitraryPrecisionFloat' with: [spec requires: 'ExtendedNumberParser' ];
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core')];
			package: 'Math-AutomaticDifferenciation' with: [spec requires: 'Math-DHB-Numerical'];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
			package: 'Math-Tests-AutomaticDifferenciation' with: [spec requires: 'Math-AutomaticDifferenciation'];	
			package: 'Math-Tests-Accuracy' with: [spec requires: 'Math-Accuracy-Core' ];
			package: 'Math-Tests-FastFourierTransform' with: [spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
			package: 'ArbitraryPrecisionFloatTests' with: [spec requires: 'ArbitraryPrecisionFloat' ];
			
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-Accuracy-Core'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline021: spec
	<version: '0.21-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
		spec 
			project: 'StatPseudoCollections' with: [
				spec
					className: #ConfigurationOfDaliotsPlayground;
					versionString: '23.8';
					loads: #('StatPseudoCollections' );
					repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ];
			project: 'SMark' with: [
				spec
					className: #ConfigurationOfSMark;
					versionString: '1.0.1';
					repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.3.9';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec 
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [
				spec requires: #('Math-Complex' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-FastFourierTransform' with: [
				spec requires: #('Math-Complex' ). ];
			package: 'ExtendedNumberParser';
			package: 'ArbitraryPrecisionFloat' with: [
				spec requires: #('ExtendedNumberParser' ). ];
			package: 'Math-ComplexExtensions' with: [
				spec requires: #('Math-Complex' 'Math-DHB-Numerical' ). ];
			package: 'Math-DHB-NumericalExtensions' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-ODE' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' ). ];
			package: 'Math-QuaternionExtensions' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' ). ];
			package: 'Math-DHB-wk' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-AutomaticDifferenciation' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-Tests-Random' with: [
				spec requires: #('Math-Random' ). ];
			package: 'Math-Tests-Complex' with: [
				spec requires: #('Math-ComplexExtensions' ). ];
			package: 'Math-Tests-KDTree' with: [
				spec requires: #('Math-KDTree' ). ];
			package: 'Math-Tests-DHB-Numerical' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-Tests-ODE' with: [
				spec requires: #('Math-ODE' ). ];
			package: 'Math-Tests-Quaternion' with: [
				spec requires: #('Math-Quaternion' ). ];
			package: 'Math-Tests-DHB-wk' with: [
				spec requires: #('Math-DHB-wk' ). ];
			package: 'Math-Tests-AutomaticDifferenciation' with: [
				spec requires: #('Math-AutomaticDifferenciation' ). ];
			package: 'Math-Tests-FastFourierTransform' with: [
				spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical' ). ];
			package: 'ArbitraryPrecisionFloatTests' with: [
				spec requires: #('ArbitraryPrecisionFloat' ). ];
			package: 'Math-Accuracy-Core';
			package: 'Math-Tests-Accuracy' with: [
				spec requires: #('Math-Accuracy-Core' ). ];
			package: 'Math-FunctionFit' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core' ). ];
			package: 'Math-Tests-FunctionFit' with: [
				spec requires: #('Math-FunctionFit' 'Math-DHB-wk' ). ];
			package: 'Math-Benchmarks-KDTree' with: [
				spec requires: #('Math-KDTree' 'SMark' ). ];
			package: 'Math-Accuracy-ODE' with: [
				spec requires: #('Math-ODE' 'XMLWriter' ). ];
			package: 'Math-Benchmarks-ODE' with: [
				spec requires: #('Math-ODE' 'SMark' 'XMLWriter' ). ];
			package: 'Math-Number-Extensions';
			package: 'Math-Core';
			package: 'Math-StatisticalMoments' with: [
				spec requires: #('Math-Core' ). ].
		spec 
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections' );
			group: 'Core' with: #('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' );
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' );
			group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' );
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree' );
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core' ). ].
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline022: spec
	<version: '0.22-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
		spec 
			project: 'StatPseudoCollections' with: [
				spec
					className: #ConfigurationOfDaliotsPlayground;
					versionString: '23.8';
					loads: #('StatPseudoCollections' );
					repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ];
			project: 'SMark' with: [
				spec
					className: #ConfigurationOfSMark;
					versionString: '1.0.1';
					repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.3.9';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec 
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [
				spec requires: #('Math-Complex' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-FastFourierTransform' with: [
				spec requires: #('Math-Complex' ). ];
			package: 'ExtendedNumberParser';
			package: 'ArbitraryPrecisionFloat' with: [
				spec requires: #('ExtendedNumberParser' ). ];
			package: 'Math-ComplexExtensions' with: [
				spec requires: #('Math-Complex' 'Math-DHB-Numerical' ). ];
			package: 'Math-DHB-NumericalExtensions' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-ODE' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' ). ];
			package: 'Math-QuaternionExtensions' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' ). ];
			package: 'Math-DHB-wk' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-AutomaticDifferenciation' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-Tests-Random' with: [
				spec requires: #('Math-Random' ). ];
			package: 'Math-Tests-Complex' with: [
				spec requires: #('Math-ComplexExtensions' ). ];
			package: 'Math-Tests-KDTree' with: [
				spec requires: #('Math-KDTree' ). ];
			package: 'Math-Tests-DHB-Numerical' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-Tests-ODE' with: [
				spec requires: #('Math-ODE' ). ];
			package: 'Math-Tests-Quaternion' with: [
				spec requires: #('Math-Quaternion' ). ];
			package: 'Math-Tests-DHB-wk' with: [
				spec requires: #('Math-DHB-wk' ). ];
			package: 'Math-Tests-AutomaticDifferenciation' with: [
				spec requires: #('Math-AutomaticDifferenciation' ). ];
			package: 'Math-Tests-FastFourierTransform' with: [
				spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical' ). ];
			package: 'ArbitraryPrecisionFloatTests' with: [
				spec requires: #('ArbitraryPrecisionFloat' ). ];
			package: 'Math-Accuracy-Core';
			package: 'Math-Tests-Accuracy' with: [
				spec requires: #('Math-Accuracy-Core' ). ];
			package: 'Math-FunctionFit' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core' ). ];
			package: 'Math-Tests-FunctionFit' with: [
				spec requires: #('Math-FunctionFit' 'Math-DHB-wk' ). ];
			package: 'Math-Benchmarks-KDTree' with: [
				spec requires: #('Math-KDTree' 'SMark' ). ];
			package: 'Math-Accuracy-ODE' with: [
				spec requires: #('Math-ODE' 'XMLWriter' ). ];
			package: 'Math-Benchmarks-ODE' with: [
				spec requires: #('Math-ODE' 'SMark' 'XMLWriter' ). ];
			package: 'Math-Number-Extensions';
			package: 'Math-Core';
			package: 'Math-StatisticalMoments' with: [
				spec requires: #('Math-Core' ). ].
		spec 
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections' );
			group: 'Core' with: #('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' );
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' );
			group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' );
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree' );
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core' ). ].
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline023: spec
	<version: '0.23-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
		spec 
			project: 'StatPseudoCollections' with: [
				spec
					className: #ConfigurationOfDaliotsPlayground;
					versionString: '23.8';
					loads: #('StatPseudoCollections' );
					repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ];
			project: 'SMark' with: [
				spec
					className: #ConfigurationOfSMark;
					versionString: '1.0.1';
					repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.3.9';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec 
			package: 'Math-Core';
			package: 'Math-Core-Process';
			package: 'Math-Core-Distribution';
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [
				spec requires: #('Math-Complex' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution'). ];
			package: 'Math-FastFourierTransform' with: [
				spec requires: #('Math-Complex' ). ];
			package: 'ExtendedNumberParser';
			package: 'ArbitraryPrecisionFloat' with: [
				spec requires: #('ExtendedNumberParser' ). ];
			package: 'Math-ComplexExtensions' with: [
				spec requires: #('Math-Complex' 'Math-DHB-Numerical' ). ];
			package: 'Math-DHB-NumericalExtensions' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-ODE' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' ). ];
			package: 'Math-QuaternionExtensions' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' ). ];
			package: 'Math-DHB-wk' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-AutomaticDifferenciation' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-Tests-Random' with: [
				spec requires: #('Math-Random' ). ];
			package: 'Math-Tests-Complex' with: [
				spec requires: #('Math-ComplexExtensions' ). ];
			package: 'Math-Tests-KDTree' with: [
				spec requires: #('Math-KDTree' ). ];
			package: 'Math-Tests-DHB-Numerical' with: [
				spec requires: #('Math-DHB-Numerical' ). ];
			package: 'Math-Tests-ODE' with: [
				spec requires: #('Math-ODE' ). ];
			package: 'Math-Tests-Quaternion' with: [
				spec requires: #('Math-Quaternion' ). ];
			package: 'Math-Tests-DHB-wk' with: [
				spec requires: #('Math-DHB-wk' ). ];
			package: 'Math-Tests-AutomaticDifferenciation' with: [
				spec requires: #('Math-AutomaticDifferenciation' ). ];
			package: 'Math-Tests-FastFourierTransform' with: [
				spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical' ). ];
			package: 'ArbitraryPrecisionFloatTests' with: [
				spec requires: #('ArbitraryPrecisionFloat' ). ];
			package: 'Math-Accuracy-Core';
			package: 'Math-Tests-Accuracy' with: [
				spec requires: #('Math-Accuracy-Core' ). ];
			package: 'Math-FunctionFit' with: [
				spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core' ). ];
			package: 'Math-Tests-FunctionFit' with: [
				spec requires: #('Math-FunctionFit' 'Math-DHB-wk' ). ];
			package: 'Math-Benchmarks-KDTree' with: [
				spec requires: #('Math-KDTree' 'SMark' ). ];
			package: 'Math-Accuracy-ODE' with: [
				spec requires: #('Math-ODE' 'XMLWriter' ). ];
			package: 'Math-Benchmarks-ODE' with: [
				spec requires: #('Math-ODE' 'SMark' 'XMLWriter' ). ];
			package: 'Math-Number-Extensions';
			
			package: 'Math-StatisticalMoments' with: [
				spec requires: #('Math-Core' ). ].
		spec 
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections' );
			group: 'Core' with: #('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' );
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' );
			group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' );
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree' );
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core' ). ].
! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline024: spec
	<version: '0.24-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections'
					with: [ 
							spec
								className: #ConfigurationOfDaliotsPlayground;
								versionString: '23.8';
								loads: #('StatPseudoCollections');
								repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ];
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser');
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests');
				group: 'Extensions'
					with:
						#('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline025: spec
	<version: '0.25-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Math-Quantile & Math-KernelSmoothing added'.
		   spec author: 'werner kassens'.
		   spec timestamp: '11 September 2015'.
			spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections'
					with: [ 
							spec
								className: #ConfigurationOfDaliotsPlayground;
								versionString: '23.8';
								loads: #('StatPseudoCollections');
								repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ];
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests');
				group: 'Extensions'
					with:
						#('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline026: spec
	<version: '0.26-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Kolmogorov-Smirnov tests added'.
		   spec author: 'werner kassens'.
		   spec timestamp: '7 November 2015'.
			spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections'
					with: [ 
							spec
								className: #ConfigurationOfDaliotsPlayground;
								versionString: '23.8';
								loads: #('StatPseudoCollections');
								repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ];
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline027: spec
	<version: '0.27-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Fix problems with Pharo 5.0 spur VM'.
		   spec author: 'Serge Stinckwich'.
		   spec timestamp: '13 January 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline028: spec
	<version: '0.28-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'After didier hacking + adding more packages'.
		   spec author: 'Stephane Ducasse Stinckwich'.
		   spec timestamp: '4 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipleComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipleComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline029: spec
	<version: '0.29-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Renamed Math-Principle -> Math-Principal'.
		   spec author: 'Stephane Ducasse'.
		   spec timestamp: '14 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline02: spec 
        <version: '0.2-baseline'>
	"make MetacelloToolBox happy, it translates the dot in the version string to a hyphen"
	"remove dependency on Math-All package"
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-QuaternionExtensions' with: [spec requires: 'Math-DHB-Numerical'; requires: 'Math-Complex'];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: 'Math-Benchmarks-ODE';
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 20:01'!
baseline030: spec
	<version: '0.30-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Extract Math-Clustering from Math-DHB-Numerical'.
		   spec author: 'Stephane Ducasse'.
		   spec timestamp: '23 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/PolyMath/PolyMath/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				package: 'Math-Clustering' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Process') ];
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-Clustering' 'Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/24/2016 08:09'!
baseline031: spec
	<version: '0.31-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Adding test clustering'.
		   spec author: 'Stephane Ducasse'.
		   spec timestamp: '24 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/PolyMath/PolyMath/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				package: 'Math-Clustering' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Process') ];
				package: 'Math-Tests-Clustering' with: [ spec requires: #('Math-Clustering' 'Math-Core' 'Math-Core-Distribution' 'Math-UtilsDataServer') ];
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];

			
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				
				
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
				
				
				
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-Clustering' 'Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/26/2016 17:41'!
baseline032: spec
	<version: '0.32-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Adding test clustering in test groups so that it got loaded in fact :)'.
		   spec author: 'Stephane Ducasse'.
		   spec timestamp: '26 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/PolyMath/PolyMath/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				package: 'Math-Clustering' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Process') ];
				package: 'Math-Tests-Clustering' with: [ spec requires: #('Math-Clustering' 'Math-Core' 'Math-Core-Distribution' 'Math-UtilsDataServer') ];
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];

			
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				
				
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
				
				
				
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Tests-Clustering' 'Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-Clustering' 'Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/28/2016 18:26'!
baseline033: spec
	<version: '0.33-baseline-broken'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Broken cycling!!!!!! Extracting Maxtrix and tests from DHB and related'.
		   spec author: 'Stephane Ducasse'.
		   spec timestamp: '26 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/PolyMath/PolyMath/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: #('Math-Core') ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				
				package: 'Math-UtilsDataServer';
				
				
				package: 'Math-Clustering' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Process' 'Math-Matrix') ];
				package: 'Math-Tests-Clustering' with: [ spec requires: #('Math-Clustering' 'Math-Core' 'Math-Core-Distribution' 'Math-UtilsDataServer') ];
				
				package: 'Math-Matrix' with: [ spec requires: #('Math-Core' 'Math-Core-Process')];
				package: 'Math-Test-Matrix' with: [ spec requires: #('Math-Core' 'Math-DHB-Numerical' 'Math-Matrix' 'Math-StatisticalMoments') ];
				
				
				package: 'Math-Series' with: [ spec requires: #('Math-Core-Process') ];
				
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core' 'Math-DHB-Numerical' 'Math-Series'  'Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				
				
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DHB-Numerical') ];
				
				package: 'Math-Random';
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];
	
				package: 'Math-KDTree';
				
				package: 'Math-Complex';
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
	
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				
				
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core'
									'Math-Core-Process' 
									'Math-Core-Distribution' 
									'Math-DistributionGamma' 
									'Math-DistributionBeta' 
									'Math-DistributionForHistogram' 
									'Math-StatisticalMoments' 
									'Math-Series' 
									'Math-Matrix') ];
								
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];

				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-Matrix') ];
				
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Matrix') ];
				
				
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Matrix') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation' 'Math-Matrix') ];
				
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-Core-Distribution') ];
				
				
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #( 'Math-Core-Distribution' 'Math-DistributionBeta') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Distribution' 'Math-KolmogorovSmirnov') ];
				

			
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-DistributionBeta' 'Math-DistributionGamma' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-DHB-Numerical' 'Math-UtilsDataServer' 'Math-Chromosome') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];

				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-Core-Distribution') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				
				
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core' 'Math-Matrix') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				
				package: 'Math-Number-Extensions';
				
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
				
				
				
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
						
				group: 'Tests'
					with:
						#('Math-Tests-Clustering' 'Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				
				group: 'Extensions'
					with:
						#('Math-Clustering' 'Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
						
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/28/2016 18:28'!
baseline034: spec
	<version: '0.34-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Adding test matrix as first step'.
		   spec author: 'Stephane Ducasse'.
		   spec timestamp: '28 March 2016'.
			spec repository: 'http://www.smalltalkhub.com/mc/PolyMath/PolyMath/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				package: 'Math-Clustering' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Process') ];
				package: 'Math-Tests-Clustering' with: [ spec requires: #('Math-Clustering' 'Math-Core' 'Math-Core-Distribution' 'Math-UtilsDataServer') ];
				
				package: 'Math-Test-Matrix' with: [ spec requires: #('Math-Core' 'Math-DHB-Numerical' 'Math-StatisticalMoments') ];
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];

			
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				
				
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ].
				
				
				
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Test-Matrix'   'Math-Tests-Clustering' 'Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-Clustering' 'Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'SergeStinckwich 4/5/2016 15:25'!
baseline035: spec
	<version: '0.35-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Adding matrix package'.
		   spec author: 'SergeStinckwich'.
		   spec timestamp: '2016-04-05T15:04:53.050532+02:00'.
			spec repository: 'http://www.smalltalkhub.com/mc/PolyMath/PolyMath/main'.
			spec
				project: 'SMark'
					with: [ 
							spec
								className: #ConfigurationOfSMark;
								versionString: '1.0.1';
								repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ];
				project: 'XMLWriter'
					with: [ 
							spec
								className: #ConfigurationOfXMLWriter;
								versionString: '2.3.9';
								repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
			spec
				package: 'Math-Core';
				package: 'Math-Core-Process';
				package: 'Math-Core-Distribution' with: [ spec requires: 'Math-Core' ];
				
				package: 'Math-Chromosome' with: [ spec requires: #('Math-Core') ];
				package: 'Math-PrincipalComponentAnalysis' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-RandomDistributionBased' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-UtilsDataServer';
				
				package: 'Math-Clustering' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Core-Process') ];
				package: 'Math-Tests-Clustering' with: [ spec requires: #('Math-Clustering' 'Math-Core' 'Math-Core-Distribution' 'Math-UtilsDataServer') ];
				
				package: 'Math-Test-Matrix' with: [ spec requires: #('Math-Core' 'Math-DHB-Numerical' 'Math-StatisticalMoments') ];
				
				package: 'Math-Series';
				package: 'Math-DistributionGamma' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-DistributionBeta' with: [ spec requires: #('Math-DistributionGamma') ];
				package: 'Math-DistributionForHistogram' with: [ spec requires: #('Math-Core-Distribution') ];
				package: 'Math-Random';
	
				package: 'Math-KDTree';
				package: 'Math-Complex';
				package: 'Math-Quaternion' with: [ spec requires: #('Math-Complex') ];
				package: 'Math-DHB-Numerical'
					with: [ 
							spec
								requires:
									#('Math-Core' 'Math-Core-Process' 'Math-Core-Distribution' 'Math-DistributionGamma' 'Math-DistributionBeta' 'Math-DistributionForHistogram' 'Math-StatisticalMoments' 'Math-Series') ];
				package: 'Math-FastFourierTransform' with: [ spec requires: #('Math-Complex') ];
				package: 'ExtendedNumberParser';
				package: 'ArbitraryPrecisionFloat' with: [ spec requires: #('ExtendedNumberParser') ];
				package: 'Math-ComplexExtensions' with: [ spec requires: #('Math-Complex' 'Math-DHB-Numerical') ];
				package: 'Math-DHB-NumericalExtensions' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-ODE' with: [ spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions') ];
				package: 'Math-QuaternionExtensions' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Quaternion') ];
				package: 'Math-DHB-wk' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Matrix') ];
				package: 'Math-AutomaticDifferenciation' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Quantile';
				package: 'Math-KernelSmoothing' with: [ spec requires: #('Math-Quantile' 'Math-DHB-Numerical') ];
				package: 'Math-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical') ];
				package: 'Math-Tests-KolmogorovSmirnov' with: [ spec requires: #('Math-DHB-Numerical' 'Math-KolmogorovSmirnov') ];
				package: 'Math-Tests-Random' with: [ spec requires: #('Math-Random') ];

			
				package: 'Math-Tests-Complex' with: [ spec requires: #('Math-ComplexExtensions') ];
				package: 'Math-Tests-KDTree' with: [ spec requires: #('Math-KDTree') ];
				
				package: 'Math-Tests-DHB-Numerical' with: [ spec requires: #('Math-DHB-Numerical' 'Math-UtilsDataServer') ];
				package: 'Math-Tests-ODE' with: [ spec requires: #('Math-ODE') ];
				package: 'Math-Tests-Quaternion' with: [ spec requires: #('Math-Quaternion') ];
				package: 'Math-Tests-DHB-wk' with: [ spec requires: #('Math-DHB-wk') ];
				package: 'Math-Tests-AutomaticDifferenciation' with: [ spec requires: #('Math-AutomaticDifferenciation') ];
				package: 'Math-Tests-FastFourierTransform'
					with: [ spec requires: #('Math-FastFourierTransform' 'Math-DHB-Numerical') ];
				package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: #('ArbitraryPrecisionFloat') ];
				
				
				package: 'Math-Accuracy-Core';
				package: 'Math-Tests-Accuracy' with: [ spec requires: #('Math-Accuracy-Core') ];
				package: 'Math-FunctionFit' with: [ spec requires: #('Math-DHB-Numerical' 'Math-Chromosome' 'Math-Accuracy-Core' 'Math-Core') ];
				package: 'Math-Tests-FunctionFit' with: [ spec requires: #('Math-FunctionFit' 'Math-DHB-wk') ];
				package: 'Math-Benchmarks-KDTree' with: [ spec requires: #('Math-KDTree' 'SMark') ];
				package: 'Math-Accuracy-ODE' with: [ spec requires: #('Math-ODE' 'XMLWriter') ];
				package: 'Math-Benchmarks-ODE' with: [ spec requires: #('Math-ODE' 'SMark' 'XMLWriter') ];
				package: 'Math-Number-Extensions';
				package: 'Math-StatisticalMoments' with: [ spec requires: #('Math-Core' 'Math-DistributionForHistogram') ];
				package: 'Math-Matrix'.
				
				
				
			spec
				group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
				group: 'Core'
					with:
						#('Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFloat' 'Math-FastFourierTransform' 'ExtendedNumberParser' 'Math-Quantile' );
				group: 'Tests'
					with:
						#('Math-Test-Matrix'   'Math-Tests-Clustering' 'Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation' 'Math-Tests-FastFourierTransform' 'Math-Tests-Accuracy' 'ArbitraryPrecisionFloatTests' 'Math-Tests-KolmogorovSmirnov');
				group: 'Extensions'
					with:
						#('Math-Clustering' 'Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-Chromosome' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-PrincipalComponentAnalysis' 'Math-FunctionFit' 'Math-AutomaticDifferenciation' 'Math-KernelSmoothing' 'Math-RandomDistributionBased' 'Math-KolmogorovSmirnov');
				group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
				group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core') ]! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline03: spec 
        <version: '0.3-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'KDTree has tests separated'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '3/7/2014 14:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-QuaternionExtensions' with: [spec requires: 'Math-DHB-Numerical'; requires: 'Math-Complex'];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: 'Math-Benchmarks-ODE';
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline04: spec 
        <version: '0.4-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'KDTree benchmarks added'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '3/29/2014 14:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-QuaternionExtensions' with: [spec requires: 'Math-DHB-Numerical'; requires: 'Math-Complex'];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline05: spec 
        <version: '0.5-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: '1. repeated spec requires: dont work as it only remembers the last requires:, hence changed to arrays. 
		2. necessary requirement for Math-DHB-Numerical added, since DHB wouldnt work if loaded separately via the configuration.
		3. one requirement of Math-DHB-NumericalExtensions deleted, since it would result in a loop that metacello cant solve and it is more probable that a user downloads Math-DHB-Numerical alone, than that he downloads Math-DHB-NumericalExtensions alone.
		4. a necessary requirement added to Math-QuaternionExtensions'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '4/20/2014 14:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical'with: [spec requires: #('Math-DHB-NumericalExtensions')];
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: #('Math-Complex' 'Math-Quaternion')];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' 'Math-Complex')];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline06: spec 
        <version: '0.6-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'correct sequence of loading and keep possibility to load Math-DHB-Numerical alone'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '4/25/2014 9:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical'with: [spec includes: 'Math-DHB-NumericalExtensions'];
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: #( 'Math-DHB-Numerical' 'Math-Complex' 'Math-Quaternion')];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' 'Math-Complex')];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline07: spec 
        <version: '0.7-baseline'>
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [ spec package:'Math-SqueakPrerequisite'. ].
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'corrections for squeak compatibility'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '5/1/2014 9:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical'with: [spec includes: 'Math-DHB-NumericalExtensions'];
			"extensions"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: #( 'Math-DHB-Numerical' 'Math-Complex' 'Math-Quaternion')];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' 'Math-Complex')];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline08: spec 
        <version: '0.8-baseline'>
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [ spec package:'Math-SqueakPrerequisite'. ].
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'less complicated dependencies. added Math-DHB-wk'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '5/4/2014 9:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfPolyMath methodsFor: 'baselines' stamp: 'StephaneDucasse 3/23/2016 17:56'!
baseline09: spec 
        <version: '0.9-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'changes for squeak compatibility'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '5/8/2014 17:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE'].
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ].
! !

!ConfigurationOfPolyMath methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 3/30/2016 16:26'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.54'.
! !

!ConfigurationOfPolyMath methodsFor: 'helpers' stamp: 'StephaneDucasse 3/23/2016 17:56'!
populateSpec: aSpec with: list
	"generated by Snapshotcello
	
	creates a spec object for the package and the version stored in the list"
	
	list do: [:each |
		aSpec package: each third with: [
			aSpec file: (each first  copyUpToLast: $. ).
			aSpec repository: each second ] ]! !

!ConfigurationOfPolyMath methodsFor: 'accessing' stamp: 'StephaneDucasse 3/23/2016 17:56'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfPolyMath methodsFor: 'snapshots' stamp: 'StephaneDucasse 3/23/2016 17:56'!
snapshot1
	"generated by Snapshotcello"

	^ #( 
		#('ConfigurationOfSMark-StefanMarr.1.mcz'  'http://smalltalkhub.com/mc/StefanMarr/SMark/main/'  'ConfigurationOfSMark' ) 
		#('ConfigurationOfXMLWriter-StephaneDucasse.39.mcz'  'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/'  'ConfigurationOfXMLWriter' ) 
		#('Math-Random-SergeStinckwich.7.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Random' ) 
		#('Math-KDTree-wernerkassens.6.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-KDTree' ) 
		#('Math-ODE-NataliaMoskovchuk.28.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-ODE' ) 
		#('Math-Complex-DanielUber.6.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Complex' ) 
		#('Math-Quaternion-YuriyTymchuk.6.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Quaternion' ) 
		#('Math-DHB-Numerical-YuriyTymchuk.22.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-DHB-Numerical' ) 
		#('Math-Number-Extensions.Pharo-DanielUber.8.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Number-Extensions' ) 
		#('Math-Tests-Random-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-Random' ) 
		#('Math-ComplexExtensions-YuriyTymchuk.2.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-ComplexExtensions' ) 
		#('Math-DHB-NumericalExtensions-DanielUber.2.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-DHB-NumericalExtensions' ) 
		#('Math-QuaternionExtensions-DanielUber.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-QuaternionExtensions' ) 
		#('Math-Tests-Complex-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-Complex' ) 
		#('Math-Tests-DHB-Numerical-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-DHB-Numerical' ) 
		#('Math-Tests-ODE-NataliaMoskovchuk.13.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-ODE' ) 
		#('Math-Tests-Quaternion-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-Quaternion' ) 
		#('Scripting-StefanMarr.23.mcz'  'http://smalltalkhub.com/mc/StefanMarr/SMark/main/'  'Scripting' ) 
		#('SMark-StefanMarr.51.mcz'  'http://smalltalkhub.com/mc/StefanMarr/SMark/main/'  'SMark' ) 
		#('ConfigurationOfOrderPreservingDictionary-StephaneDucasse.2.mcz'  'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main/'  'ConfigurationOfOrderPreservingDictionary' ) 
		#('Collections-OrderPreservingDictionary-JAA.7.mcz'  'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main/'  'Collections-OrderPreservingDictionary' ) 
		#('XML-Writer-Core-CamilloBruni.2.mcz'  'http://smalltalkhub.com/mc/Pharo/XMLWriter/main/'  'XML-Writer-Core' ) 
		#('Math-Accuracy-ODE-YuriyTymchuk.3.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Accuracy-ODE' ) 
		#('Math-Benchmarks-ODE-YuriyTymchuk.7.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Benchmarks-ODE' ) 
	)! !

!ConfigurationOfPolyMath methodsFor: 'symbolic versions' stamp: 'SergeStinckwich 4/5/2016 15:01'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.56'.
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version010: spec
	<version: '0.10' imports: #('0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'new version of Math-Tests-KDTree'.
		spec author: 'WernerKassens'.
		spec timestamp: '4/21/2014 08:20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.25';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.5';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version011: spec
	<version: '0.11' imports: #('0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'sequence of loading corrected'.
		spec author: 'WernerKassens'.
		spec timestamp: '4/25/2014 09:35'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-nice.9';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.7';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.25';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.5';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version012: spec
	<version: '0.12' imports: #('0.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'should also work in Squeak'.
		spec author: 'WernerKassens'.
		spec timestamp: '5/11/2014 12:47'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-nice.9';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.5';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version013: spec
	<version: '0.13' imports: #('0.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'made compatible with 4.0'.
		spec author: 'WernerKassens'.
		spec timestamp: '7/22/2014 12:47'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-nice.9';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.5';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version014: spec
	<version: '0.14' imports: #('0.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Add last contributions of Werner'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '9/17/2014 10:55'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.23';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuraryFramework' with:'Math-AccuracyFramework-WernerKassens.29';	
			package: 'Math-FunctionFit' with:'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with:'Math-Tests-FunctionFit-WernerKassens.1'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version015: spec
	<version: '0.15' imports: #('0.13-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Fixed the problems with StatPseudoCollections'.
		spec author: 'HwaJong'.
		spec timestamp: '2014-11-18T20:33:11.980491+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFloat' with:'1.0'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.23';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuraryFramework' with:'Math-AccuracyFramework-WernerKassens.29';	
			package: 'Math-FunctionFit' with:'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with:'Math-Tests-FunctionFit-WernerKassens.1'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version016: spec
	<version: '0.16' imports: #('0.13-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Update several packages'.
		spec author: 'SergeStinckwich'.
		spec timestamp: ' 2014-11-18T13:08:37.011+01:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.2'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.30';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.9';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version017: spec
	<version: '0.17' imports: #('0.15-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '3 different Combinations'.
		spec author: 'HwaJong'.
		spec timestamp: ' 2014-12-27T17:21:10.239685+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.4'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.30';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.9';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version018: spec
	<version: '0.18' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Combinations renamed. removed old one'.
		spec author: 'HwaJong'.
		spec timestamp: ' 2015-01-14T00:42:35.15+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.30';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.9';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 20:12'!
version019: spec
	<version: '0.19' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'typo of DhbMaximumLikekihoodHistogramFit fixed'.
		spec author: 'HwaJong'.
		spec timestamp: ' 2015-02-12T17:54:29.643+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: [
				spec file: 'Math-DHB-Numerical-HwaJong.31' ];
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version01: spec 
        <version: '0.1' imports: #('0.1-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
			package: 'Math-All' with: 'Math-All-DanielUber.3'].! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 20:12'!
version020: spec
	<version: '0.20' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'last changes added'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-02-13'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-HwaJong.11';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: [
				spec file: 'Math-DHB-Numerical-HwaJong.31'.
				];
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-HwaJong.3';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 20:12'!
version021: spec
	<version: '0.21' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' I added the two RNG in Math-Random.
I cleaned also the hierarchy.
    - no need to have initialize as abstract to force all the subclass to define an empty method. Strange design
    - tab a bit the code and comments.'.
		spec author: 'Stéphane Ducasse'.
		spec timestamp: ' 2015-03-20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.13';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: [
				spec file: 'Math-DHB-Numerical-HwaJong.31'.
				];
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-HwaJong.3';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version022: spec
	<version: '0.22' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' deleted postload for DhbMaximumLikelihoodHistogramFit and added latest additions'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-03-20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.13';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.32';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version023: spec
	<version: '0.23' imports: #('0.17-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' latest releases added for 3.0,4.0,5.0'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-05-08'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.34';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.11';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version024: spec
	<version: '0.24' imports: #('0.17-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' replaced deprecated methods for 5.0'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-05-08'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.34';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.12';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version025: spec
	<version: '0.25' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Clean tests packages'.
		spec author: 'Serge Stinckwich'.
		spec timestamp: '21 may 2015'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.35';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with:'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version026: spec
	<version: '0.26' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Cleaning Matrix and Vector classes'.
		spec author: 'Stephane Ducasse'.
		spec timestamp: '05 July 2015'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.37';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with:'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version027: spec
	<version: '0.27' imports: #('0.19-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Move to 0.19 baseline'.
		spec author: 'Serge Stinckwich'.
		spec timestamp: '05 July 2015'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.37';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with:'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.2']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version028: spec
	<version: '0.28' imports: #('0.20-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Move to 0.20 baseline'.
		spec author: 'Serge Stinckwich'.
		spec timestamp: '05 July 2015'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'StatPseudoCollections' with: '23.8'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.37';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'ExtendedNumberParser' with:'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with:'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'ArbitraryPrecisionFloatTests' with:'ArbitraryPrecisionFloatTests-nice.20';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with:'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version029: spec
	<version: '0.29' imports: #('0.21-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.29'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '7/12/2015 14:54'.
		spec 
			project: 'StatPseudoCollections' with: '23.8';
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.39';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.1';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.1'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version02: spec 
        <version: '0.2' imports: #('0.1-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
			package: 'Math-All' with: 'Math-All-DanielUber.8'].! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version030: spec
	<version: '0.30' imports: #('0.21-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.29'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '7/12/2015 14:54'.
		spec 
			project: 'StatPseudoCollections' with: '23.8';
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.40';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.2';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.2'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version031: spec
	<version: '0.31' imports: #('0.22-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.31: adding Math-Core as dependency of DHB numerical'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '7/14/2015 14:54'.
		spec 
			project: 'StatPseudoCollections' with: '23.8';
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.40';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.2';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.2'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version032: spec
	<version: '0.32' imports: #('0.23-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.32: adding Math-Core-Process and Math-Core-Distribution'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '7/14/2015 14:54'.
		spec 
			project: 'StatPseudoCollections' with: '23.8';
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.3';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.1';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.41';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.2'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version033: spec
	<version: '0.33' imports: #('0.24-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'version 0.33: repackaging'.
			spec author: 'StephaneDucasse'.
			spec timestamp: '7/14/2015 14:54'.
			spec
				project: 'StatPseudoCollections' with: '23.8';
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.1';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.1';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.43';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.3' ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version034: spec
	<version: '0.34' imports: #('0.24-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'version 0.34: fix missing packages'.
			spec author: 'SergeStinckwich'.
			spec timestamp: '7/19/2015 19:23'.
			spec
				project: 'StatPseudoCollections' with: '23.8';
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.1';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.2';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.43';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.4' ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version035: spec
	<version: '0.35' imports: #('0.24-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'version 0.35: fix missing packages'.
			spec author: 'SergeStinckwich'.
			spec timestamp: '7/19/2015 19:38'.
			spec
				project: 'StatPseudoCollections' with: '23.8';
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.1';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.2';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.43';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.14';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.20';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.4' ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version036: spec
	<version: '0.36' imports: #('0.24-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'version 0.36: one test that fails'.
			spec author: 'SergeStinckwich'.
			spec timestamp: '7/19/2015 23:12'.
			spec
				project: 'StatPseudoCollections' with: '23.8';
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.1';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.2';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.43';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.14';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.4' ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version037: spec
	<version: '0.37' imports: #('0.24-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'corrected Math-Tests-KDTree'.
			spec author: 'WernerKassens'.
			spec timestamp: '10/4/2015 23:12'.
			spec
				project: 'StatPseudoCollections' with: '23.8';
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.1';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.2';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.43';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-StephaneDucasse.9';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.14';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-StephaneDucasse.4' ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version038: spec
	<version: '0.38' imports: #('0.25-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'changed Math-Tests-Random so that it gets a chance to succeed. added Math-Quantile, Math-KernelSmoothing. corrected and dokumented two bugs in dhb'.
			spec author: 'WernerKassens'.
			spec timestamp: '11/7/2015 23:12'.
			spec
				project: 'StatPseudoCollections' with: '23.8';
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-WernerKassens.2';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.8';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.21';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5';
				package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
				package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2']! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version039: spec
	<version: '0.39' imports: #('0.27-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'Fix problems with Pharo 5.0'.
			spec author: 'Serge Stinckwich'.
			spec timestamp: '13/1/2016 11:30'.
			spec
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-WernerKassens.2';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.21';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.2';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5';
				package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
				package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
				package: 'Math-Tests-KolmogorovSmirnov' with:'Math-Tests-KolmogorovSmirnov-WernerKassens.1']! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version03: spec 
        <version: '0.3' imports: #('0.2-baseline') >
        
        spec for: #common do: [
		spec blessing: #release.
            spec 
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-DanielUber.1';
			package: 'Math-ComplexTests' with: 'Math-ComplexTests-DanielUber.5';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-DanielUber.19';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-DHB-NumericalTests' with: 'Math-DHB-NumericalTests-DanielUber.7';
			package: 'Math-Extensions' with: 'Math-Extensions-DanielUber.3';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.6';
			package: 'Math-Number-Extensions.Pharo' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-ODE' with: 'Math-ODE-DanielUber.10';
			package: 'Math-ODETests' with: 'Math-ODETests-DanielUber.11';
			package: 'Math-Quaternion' with: 'Math-Quaternion-DanielUber.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-QuaternionTests' with: 'Math-QuaternionTests-DanielUber.4';
			package: 'Math-Random' with: 'Math-Random-DanielUber.4';
			package: 'Math-RandomTests' with: 'Math-RandomTests-DanielUber.3'].! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version040: spec
	<version: '0.40' imports: #('0.27-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'Cleaning and formatting some packages'.
			spec author: 'Serge Stinckwich'.
			spec timestamp: '13/1/2016 11:30'.
			spec
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.8';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.1';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-WernerKassens.2';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.1';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.3';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.7';
				package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.49';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-wernerkassens.1';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.21';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.2';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.4';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5';
				package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
				package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
				package: 'Math-Tests-KolmogorovSmirnov' with:'Math-Tests-KolmogorovSmirnov-WernerKassens.1']! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version041: spec
	<version: '0.41' imports: #('0.27-baseline')>
	spec
		for: #common
		do:
			[ spec blessing: #stable.
			spec description: 'Cleaning more'.
			spec author: 'StephaneDucasse'.
			spec timestamp: '3/2/2016 09:36'.
			spec
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.9';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
				package: 'Math-Core-Distribution'
					with: 'Math-Core-Distribution-StephaneDucasse.8';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-DistributionGamma'
					with: 'Math-DistributionGamma-StephaneDucasse.2';
				package: 'Math-DistributionBeta'
					with: 'Math-DistributionBeta-StephaneDucasse.3';
				package: 'Math-DistributionForHistogram'
					with: 'Math-DistributionForHistogram-StephaneDucasse.2';
				package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical'
					with: 'Math-DHB-Numerical-StephaneDucasse.49';
				package: 'Math-FastFourierTransform'
					with: 'Math-FastFourierTransform-StephaneDucasse.2';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat'
					with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions'
					with: 'Math-ComplexExtensions-StephaneDucasse.5';
				package: 'Math-DHB-NumericalExtensions'
					with: 'Math-DHB-NumericalExtensions-StephaneDucasse.6';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions'
					with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
				package: 'Math-AutomaticDifferenciation'
					with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
				package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
				package: 'Math-KernelSmoothing'
					with: 'Math-KernelSmoothing-WernerKassens.2';
				package: 'Math-KolmogorovSmirnov'
					with: 'Math-KolmogorovSmirnov-WernerKassens.1';
				package: 'Math-Tests-KolmogorovSmirnov'
					with: 'Math-Tests-KolmogorovSmirnov-WernerKassens.1';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
				package: 'Math-Tests-DHB-Numerical'
					with: 'Math-Tests-DHB-Numerical-WernerKassens.21';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion'
					with: 'Math-Tests-Quaternion-WernerKassens.4';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
				package: 'Math-Tests-AutomaticDifferenciation'
					with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform'
					with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests'
					with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
				package: 'Math-Tests-Accuracy'
					with: 'Math-Tests-Accuracy-SergeStinckwich.1';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree'
					with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions'
					with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments'
					with: 'Math-StatisticalMoments-WernerKassens.5' ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version042: spec
	<version: '0.42' imports: #('0.28-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'Adding more package'.
			spec author: 'Stephane Ducasse'.
			spec timestamp: '3/3/2016 21:30'.
			spec
				project: 'SMark' with: '1.0.1';
				project: 'XMLWriter' with: '2.3.9'.
			spec
				package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
				package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
				package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
				package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
				package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
				package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
				package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
				
				package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
				package: 'Math-PrincipleComponentAnalysis' with: 'Math-PrincipleComponentAnalysis-StephaneDucasse.2';
				package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
				package: 'Math-UtilsDataServer-StephaneDucasse.1' with: 'Math-UtilsDataServer-StephaneDucasse.1';
				
				package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
				package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
				package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
				package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
				package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.50';
				package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
				package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
				package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
				package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
				package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.7';
				package: 'Math-ODE' with: 'Math-ODE-nice.30';
				package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
				package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
				package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
				package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
				package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
				package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
				package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.22';
				package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
				package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
				package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
				package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
				package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
				package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
				package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
				package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.2';
				package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
				package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
				package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
				package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
				package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
				package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
				package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5';
				package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
				package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
				package: 'Math-Tests-KolmogorovSmirnov' with:'Math-Tests-KolmogorovSmirnov-WernerKassens.1']! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version043: spec
	<version: '0.43' imports: #('0.28-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.43'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/12/2016 13:38'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipleComponentAnalysis' with: 'Math-PrincipleComponentAnalysis-StephaneDucasse.3';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.50';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.7';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.22';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.2';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version044: spec
	<version: '0.44' imports: #('0.29-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.44: added the right version of DHB-Numerical to include dimension
					used right baseline 29
					merge back all the changes between 52 and 50 of Math-DHB'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '23/03/2016 12:20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.1';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.52';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.22';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.2';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 20:06'!
version045: spec
	<version: '0.45' imports: #('0.30-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.45: Extracted clustering from Math-DHB-Numerical'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '23/03/2016 20:20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.1';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.54';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.1';
			
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.23';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.2';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/24/2016 08:12'!
version046: spec
	<version: '0.46' imports: #('0.31-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.44: Extracted clustering from Math-DHB-Numerical'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '23/03/2016 20:20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.1';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.55';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.10';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
         	package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.24';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.2';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/26/2016 15:04'!
version047: spec
	<version: '0.47' imports: #('0.31-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.47'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/26/2016 15:04'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.1';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.55';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.12';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.26';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.24';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-WernerKassens.4';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-WernerKassens.2';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-wernerkassens.1';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.2';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/26/2016 15:07'!
version048: spec
	<version: '0.48' imports: #('0.31-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.48'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/26/2016 15:07'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.1';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.55';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.31';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.25';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.7';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/26/2016 22:36'!
version049: spec
	<version: '0.49' imports: #('0.32-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.49: just making sure that clustering tests are loaded'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/26/2016 15:07'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.55';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.31';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.25';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.7';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version04: spec
	<version: '0.4' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'development version'.
		spec author: 'DanielUber'.
		spec timestamp: '6/6/2012 10:59'.
		spec 
			package: 'Math-Random' with: 'Math-Random-DanielUber.5';
			package: 'Math-KDTree' with: 'Math-KDTree-wk.30';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.14';
			package: 'Math-ODE' with: 'Math-ODE-DanielUber.10';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-DanielUber.5';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-DanielUber.19';
			package: 'Math-Number-Extensions.Pharo' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-RandomTests' with: 'Math-RandomTests-DanielUber.4';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-DanielUber.1';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-Extensions' with: 'Math-Extensions-DanielUber.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-ComplexTests' with: 'Math-ComplexTests-DanielUber.5';
			package: 'Math-DHB-NumericalTests' with: 'Math-DHB-NumericalTests-DanielUber.7';
			package: 'Math-ODETests' with: 'Math-ODETests-DanielUber.11';
			package: 'Math-QuaternionTests' with: 'Math-QuaternionTests-DanielUber.4'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/28/2016 18:28'!
version050: spec
	<version: '0.50' imports: #('0.33-baseline-broken' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.50: 
			- recovered lost PCA
			- Extracted Matrix
			- Grouped Matrix Tests but does not work'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/26/2016 21:07'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.12';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.3';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Matrix' with: 'Math-Matrix-StephaneDucasse.1';
			package: 'Math-Tests-Matrix' with: 'Math-Tests-Matrix-StephaneDucasse.1';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.56';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.31';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.27';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.8';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/28/2016 18:35'!
version051: spec
	<version: '0.51' imports: #('0.34-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.51: extracting matrix tests into Math-Tests-Matrix'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/28/2016 15:07'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.55';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.31';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			
			package: 'Math-Tests-Matrix' with: 'Math-Tests-Matrix-StephaneDucasse.1';
			
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.28';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/28/2016 18:41'!
version052: spec
	<version: '0.52' imports: #('0.34-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.52: Cleaning of ODE - I do not get it was not in the previous list'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/28/2016 15:07'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.55';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.32';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			
			package: 'Math-Tests-Matrix' with: 'Math-Tests-Matrix-StephaneDucasse.1';
			
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.28';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/29/2016 09:28'!
version053: spec
	<version: '0.53' imports: #('0.34-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.53'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/29/2016 09:28'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Test-Matrix' with: 'Math-Test-Matrix-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.57';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.32';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.29';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/30/2016 16:26'!
version054: spec
	<version: '0.54' imports: #('0.34-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.54: cleaning ODE-Accuracy'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/30/2016 09:28'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Test-Matrix' with: 'Math-Test-Matrix-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-StephaneDucasse.57';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.32';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-StephaneDucasse.29';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.6';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'SergeStinckwich 4/3/2016 18:00'!
version055: spec
	<version: '0.55' imports: #('0.34-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.55: Close #1: Provide globally convergent scalar Newton method'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-04-03T17:58:33.197518+02:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.11';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Test-Matrix' with: 'Math-Test-Matrix-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-MobiusEng.58';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.32';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-MobiusEng.30';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.6';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'SergeStinckwich 4/5/2016 15:05'!
version056: spec
	<version: '0.56' imports: #('0.35-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.56: continue to clean '.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-04-05T14:53:13.117987+02:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.12';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-StephaneDucasse.9';
			package: 'Math-Chromosome' with: 'Math-Chromosome-StephaneDucasse.1';
			package: 'Math-PrincipalComponentAnalysis' with: 'Math-PrincipalComponentAnalysis-StephaneDucasse.2';
			package: 'Math-RandomDistributionBased' with: 'Math-RandomDistributionBased-StephaneDucasse.2';
			package: 'Math-UtilsDataServer' with: 'Math-UtilsDataServer-StephaneDucasse.1';
			package: 'Math-Clustering' with: 'Math-Clustering-StephaneDucasse.2';
			package: 'Math-Matrix' with:'Math-Matrix-StephaneDucasse.1';
			package: 'Math-Tests-Clustering' with: 'Math-Tests-Clustering-StephaneDucasse.4';
			package: 'Math-Test-Matrix' with: 'Math-Test-Matrix-StephaneDucasse.1';
			package: 'Math-Series' with: 'Math-Series-StephaneDucasse.2';
			package: 'Math-DistributionGamma' with: 'Math-DistributionGamma-StephaneDucasse.3';
			package: 'Math-DistributionBeta' with: 'Math-DistributionBeta-StephaneDucasse.3';
			package: 'Math-DistributionForHistogram' with: 'Math-DistributionForHistogram-StephaneDucasse.2';
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.15';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.64';
			package: 'Math-FastFourierTransform' with: 'Math-FastFourierTransform-StephaneDucasse.2';
			package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1';
			package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-SergeStinckwich.52';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-StephaneDucasse.5';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-StephaneDucasse.8';
			package: 'Math-ODE' with: 'Math-ODE-StephaneDucasse.32';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.10';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-StephaneDucasse.2';
			package: 'Math-Quantile' with: 'Math-Quantile-wernerkassens.1';
			package: 'Math-KernelSmoothing' with: 'Math-KernelSmoothing-WernerKassens.2';
			package: 'Math-KolmogorovSmirnov' with: 'Math-KolmogorovSmirnov-WernerKassens.1';
			package: 'Math-Tests-KolmogorovSmirnov' with: 'Math-Tests-KolmogorovSmirnov-StephaneDucasse.2';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-StephaneDucasse.13';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-StephaneDucasse.6';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-StephaneDucasse.27';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-MobiusEng.30';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-StephaneDucasse.17';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-StephaneDucasse.5';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-StephaneDucasse.9';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-StephaneDucasse.3';
			package: 'Math-Tests-FastFourierTransform' with: 'Math-Tests-FastFourierTransform-StephaneDucasse.2';
			package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-SergeStinckwich.21';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-StephaneDucasse.3';
			package: 'Math-Tests-Accuracy' with: 'Math-Tests-Accuracy-StephaneDucasse.3';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-StephaneDucasse.3';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-StephaneDucasse.6';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-StephaneDucasse.9';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-StephaneDucasse.6';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-StatisticalMoments' with: 'Math-StatisticalMoments-WernerKassens.5'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version05: spec
	<version: '0.5' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'modified Random tests and fixed an error in MTGenerator
relaxed convergence bound on PoissonGenerator
added announcements/watchers to ODESolver 
changes to Math-ODE
Added Tableau Stepper'.
		spec author: 'DanielUber'.
		spec timestamp: '7/20/2012 13:04'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.6';
			package: 'Math-ODE' with: 'Math-ODE-DanielUber.13';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-DanielUber.5';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.21';
			package: 'Math-Number-Extensions.Pharo' with: 'Math-Number-Extensions.Pharo-SergeStinckwich.10';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-DanielUber.1';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.1';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.1';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1']
! !

!ConfigurationOfPolyMath methodsFor: 'snapshot versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version06: spec
	"generated by Snapshotcello"
	<version: '0.6'>

	spec for: #common do: [
		self populateSpec: spec with: self snapshot1 ]! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version07: spec
	<version: '0.7' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'KDTree has tests separated, new version of KDTree'.
		spec author: 'WernerKassens'.
		spec timestamp: '3/7/2014 14:39'.
		spec 
			project: 'SMark' with: '1.0.0';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-wk.30';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-YuriyTymchuk.22';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.14';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.1';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version08: spec
	<version: '0.8' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'KDTree benchmarks added, test for Dhb compatibility added, KDTree generally faster'.
		spec author: 'WernerKassens'.
		spec timestamp: '3/30/2014 13:18'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-YuriyTymchuk.22';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.19';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.1';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfPolyMath methodsFor: 'versions' stamp: 'StephaneDucasse 3/23/2016 17:56'!
version09: spec
	<version: '0.9' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Replace asVector by asDhbVector in order to be able to load SciSmalltalk with MOOSE 5.0'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/16/2014 16:40'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.25';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.19';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.5';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !
